/* __custom_herobanner.css */
.heroSection {
  position: relative;
  min-height: 31.25rem;
  padding: 6rem;
  display: flex;
  justify-content: center;
  align-items: center;
  z-index: 10;
  overflow: hidden;
}


.heroContainer {
  position: relative;
  color:  var(--white);
  z-index: 5;
}
.heroContainer.boxBackground {
  padding: 2rem;
}

.heroContainer h1,
.heroContainer h2,
.heroContainer h3,
.heroContainer h4,
.heroContainer h5,
.heroContainer h6 {
  line-height: 1.4em !important;
  margin-bottom: .5rem;
}
.intro.background, .headline.background {
  padding-inline: 1rem;
} 
.heroContainer p  {
  line-height: 1.4em !important;
  margin-bottom: 1rem;
}


.contentButtons {
    display: flex;
    flex-wrap: wrap;
    gap: 1.875rem;
    z-index: 5;
}


/* Videoherobanner mit Buttons und Intro */

.ce_rsce_herobanner_video-buttons.heroSection.vhContent {
  padding: 5.625rem 6rem 11.1875rem 6rem;
}

.contentButtons.buttonsVertical {
    display: grid;
    grid-template-columns: 1fr;
}

.contentButtons.buttonsVertical .intro {
  text-align: center;
  margin-bottom: 0;
  line-height: 1.2em;
  -webkit-hyphens: none;
  -ms-hyphens: none;
  hyphens: none;
}
.contentButtons.buttonsVertical p.intro {
  font-size: var(--font_size5);
}

.contentButtons.buttonsVertical .button a {
  width: 100%;
  padding: 1.875rem 4.625rem;
}

.contentButtons.buttonsVertical .button a span {
  text-align: center;
  margin-inline: auto;
  font-size: var(--font_size8);
}

#anibutton .intro, 
#anibutton .button {
    padding-top: 0;
    opacity: 0;
    transform: translateY(300px);
    animation: slideIn 1.5s ease forwards;
}
#anibutton .intro {
    animation-delay: .5s;
}
#anibutton .button:nth-child(1) {
     animation-delay: 1s;
}
#anibutton .button:nth-child(2) {
     animation-delay: 1.5s;
}
#anibutton .button:nth-child(3) {
     animation-delay: 2s;
}
#anibutton .button:nth-child(4) {
     animation-delay: 2.5s;
}
#anibutton .button:nth-child(5) {
     animation-delay: 3s;
}
#anibutton .button:nth-child(6) {
     animation-delay: 3.5s;
}
#anibutton .button:nth-child(7) {
     animation-delay: 4s;
}
#anibutton .button:nth-child(8) {
     animation-delay: 4.5s;
}

@keyframes slideIn {
    to {
        opacity: 1;
        transform: translateY(0);
    }
}




.heroImage {
    position: absolute;
    z-index: 0;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    -o-object-fit: cover;
    object-fit: cover;
    overflow: clip;
    overflow-clip-margin: content-box;

}

.heroSection .overlay {
    position: absolute;
    z-index: 2;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    -o-object-fit: cover;
    object-fit: cover;
    overflow: clip;
    overflow-clip-margin: content-box;
}

.heroVideo {
    position: absolute;
    z-index: -2;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    -o-object-fit: cover;
    object-fit: cover;
    overflow: clip;
    overflow-clip-margin: content-box;

}



/* Herobanner - Login */
.heroSection.login {
  padding: 0;
}

.heroSection .inside.login {
  min-width: 100%;
  min-height: 100%;
  padding: 0;
}

.heroSection .login.fullscreen {
  padding: 0 !important;
  display: block;
}
.heroSection .login .container {
  width: 440px !important;
  height: calc(100vh - 9.4375rem);
  margin: auto;
  color:  var(--white);
  display: flex;
  flex-wrap: wrap;
  justify-content: center;
  align-items: center;
}
.heroSection .login .container > div {
  flex: 0 0 100%;
}
.heroSection .login p,
.heroSection .login a {
  font-size: 1rem;
  text-transform: uppercase;
  font-family: "SourceSansPro600", Arial, Helvetica, sans-serif !important;
  color:  var(--white) !important;
  text-shadow: var(--text-shadow01);
}
.heroSection .login a {
  text-decoration: underline;
}
.heroSection .login a:hover {
  color: var(--ci002) !important;
}
